gobject-query
1
User Commands

# gobject-query

display a tree of types

    gobject-query
    froots
    options

    gobject-query
    tree
    options

## Description

`gobject-query` is a small utility that draws a tree of types.

## Invocation

`gobject-query` takes a mandatory argument that specifies whether it should iterate over the fundamental types or print a type tree.

### Options

`froots`

  iterate over fundamental roots

`tree`

  print type tree

`-r` type

  specify the root type

`-n`

  don't descend type tree

`-b` string

  specify indent string

`-i` string

  specify incremental indent string

`-s` number

  specify line spacing

`-h`, `--help`

  Print brief help and exit.

`-v`, `--version`

  Print version and exit.